Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 25 May 2021 11:21:31 +0200
From:      Roman Serbski <mefystofel@gmail.com>
To:        freebsd-questions@freebsd.org
Subject:   Re: Upgrade from 12.2-RELEASE-p2 to 13.0-RELEASE
Message-ID:  <CAFnNK68UeXXP-+sSz=XB+sBv7d5QtSyFw=x-oqbPrOZHmysZrg@mail.gmail.com>
In-Reply-To: <20210525072428.032c3e4c716287c430a6bbfd@sohara.org>
References:  <CAFnNK694kLsTAgps7KafLzN=KAR8nVR8fFwhLnHFW6n7C+CXOA@mail.gmail.com> <20210525072428.032c3e4c716287c430a6bbfd@sohara.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Tue, May 25, 2021 at 8:24 AM Steve O'Hara-Smith <steve@sohara.org> wrote:
>
>         That's the version used in 12.2 can someone with 13.0 use ldd to
> find out what version of libgnuregex is used by grep in 13.0.
>
> > # find / -name libgnuregex.so.5 -print
> > /usr/lib32/libgnuregex.so.5
>
>         That's the 32 bit compatibility version the one grep is looking for
> lives in /usr/lib.
>
>         You seem to be running 12.2 grep - I don't know why.

I'm not sure I'm running 12.2 grep.

Here is grep from 12.2-RELEASE-p2 (r369053):

# grep --version
grep (GNU grep) 2.5.1-FreeBSD

# ldd /usr/bin/grep
/usr/bin/grep:
        libgnuregex.so.5 => /usr/lib/libgnuregex.so.5 (0x800263000)
        libbz2.so.4 => /usr/lib/libbz2.so.4 (0x80027c000)
        libz.so.6 => /lib/libz.so.6 (0x800292000)
        libc.so.7 => /lib/libc.so.7 (0x8002ae000)

And here is grep from 13.0-RELEASE (ea31abc26):

# grep --version
grep (BSD grep, GNU compatible) 2.6.0-FreeBSD

# ldd /usr/bin/grep
/usr/bin/grep:
        libregex.so.1 => /usr/lib/libregex.so.1 (0x80024b000)
        libc.so.7 => /lib/libc.so.7 (0x80025f000)

Thanks.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAFnNK68UeXXP-+sSz=XB+sBv7d5QtSyFw=x-oqbPrOZHmysZrg>